<?php

namespace Pogodi;


class BrandManager extends AbstractManager
{

    const
        TABLE_NAME = 'brand',
        COLUMN_ID = 'id',
        COLUMN_TITLE = 'title';

    public function getAll()
    {
        return $this->database->table(self::TABLE_NAME)->order(self::COLUMN_TITLE)->fetchAll();
    }

    public function getById($id)
    {
        $res = $this->database->table(self::TABLE_NAME)->where(self::COLUMN_ID, $id)->fetch();
        if ($res) {
            return $res;
        }
        return FALSE;
    }

    public function insert($title)
    {
        $row = $this->database->table(self::TABLE_NAME)->insert([self::COLUMN_TITLE => $title]);
        return $row[self::COLUMN_ID];
    }

    public function update($id, $title)
    {
        $this->database->table(self::TABLE_NAME)->where(self::COLUMN_ID, $id)->update([self::COLUMN_TITLE => $title]);
    }

    public function delete($id)
    {
        $this->database->table(self::TABLE_NAME)->where(self::COLUMN_ID, $id)->delete();
    }

}