<?php

namespace Pogodi\Product;


use Nette\Application\BadRequestException;
use Nette\Database\Context;
use Nette\Object;
use Pogodi\BrandManager;

class Brand extends Object
{

    /**
     * @var int
     */
    private $id;

    /**
     * @var string
     */
    private $title;


    /**
     * @var Context
     */
    private $database;


    public function __construct(Context $database)
    {
        $this->database = $database;
    }

    public function loadByBrandId($brand_id)
    {
        $brand = $this->database->table(BrandManager::TABLE_NAME)->where('id', $brand_id)->fetch();
        if (!$brand) {
            $this->id = NULL;
            $this->title = NULL;
        } else {
            $this->id = $brand['id'];
            $this->title = $brand['title'];
        }
    }

    public function setNoBrand()
    {
        $this->id = NULL;
        $this->title = NULL;
    }

    /**
     * @return string
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * @param string $title
     */
    public function setTitle($title)
    {
        $this->title = $title;
    }

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

}