<?php

namespace Pogodi\Product;


use Nette\Application\BadRequestException;
use Nette\Database\Context;
use Pogodi\CategoryManager;

class Category
{

    /**
     * @var int
     */
    private $id;

    /**
     * @var string
     */
    private $title;


    /**
     * @var Context
     */
    private $database;


    public function __construct(Context $database)
    {
        $this->database = $database;
    }

    public function loadByCategoryId($category_id)
    {
        $category = $this->database->table(CategoryManager::TABLE_NAME)->where('id', $category_id)->fetch();
        if (!$category) {
            throw new BadRequestException;
        }
        $this->id = $category['id'];
        $this->title = $category['title'];
    }

    /**
     * @return string
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * @param string $title
     */
    public function setTitle($title)
    {
        $this->title = $title;
    }

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }


}