<?php

namespace Pogodi\Product\Parameters\Types;

use Nette\Object;

class TypeFactory extends Object
{

    public function createType($type, $params = [])
    {
        switch ($type) {
            case Type::STRING:
                return new String();
                break;
            case Type::INTEGER:
                return new Integer();
                break;
            case Type::FLOAT:
                return new Float();
                break;
            case Type::ENUM:
                return new Enum($params);
                break;
            default:
                throw new \InvalidArgumentException("Unsupported data type: '$type'");
        }
    }

}