<?php

namespace Pogodi;


use Nette;
use Nette\Application\IResponse;
use Nette\Object;

class XmlResponse extends Object implements IResponse
{

    /**
     * @var \DOMDocument
     */
    private $document;

    /**
     * @param \DOMDocument $document
     */
    public function __construct(\DOMDocument $document)
    {
        $this->document = $document;
    }

    /**
     * Sends response to output.
     * @return void
     */
    function send(Nette\Http\IRequest $httpRequest, Nette\Http\IResponse $httpResponse)
    {
        $httpResponse->setContentType('text/xml', 'UTF-8');
        echo $this->document->saveXML();
    }
}