<?php

namespace Pogodi\Brain\Presenters;


use Nette\Application\UI\Form;
use Pogodi\BrandManager;

class BrandPresenter extends BasePresenter
{

    /** @var BrandManager @inject */
    public $brandManager;

    public function renderDefault()
    {
        $this->template->brands = $this->brandManager->getAll();
    }

    public function renderForm($id = NULL)
    {
        $newCategory = TRUE;
        if ($id) {
            /** @var Form $form */
            $form = $this['brandForm'];
            $brand = $this->brandManager->getById($id);
            $form->setDefaults([
                'brand_id' => $brand['id'],
                'title' => $brand['title'],
            ]);
            $newCategory = FALSE;
        }
        $this->template->newCategory = $newCategory;
    }

    public function createComponentBrandForm()
    {
        $form = new Form();
        $form->addText("title", "Title: ")
            ->setRequired();
        $form->addSubmit('ok', 'Save');
        $form->addHidden('brand_id');
        $form->onSuccess[] = $this->brandFormSubmitted;
        return $form;
    }

    public function brandFormSubmitted(Form $form)
    {
        $values = $form->getValues();
        if ($values->brand_id) {
            $this->brandManager->update($values->brand_id, $values->title);
            $this->flashMessage('Category has been successfully updated.', 'success');
        } else {
            $this->brandManager->insert($values->title);
            $this->flashMessage('New brand has been successfully created.', 'success');
        }
        $this->redirect('default');
    }

    public function actionDelete($category_id)
    {
        $this->brandManager->delete($category_id);
        $this->flashMessage('Brand has been successfully  deleted.', 'success');
        $this->redirect('default');
    }

}