<?php

namespace Pogodi\Brain\Presenters;


use Nette\Application\BadRequestException;
use Nette\Application\UI\Presenter;
use Nette\Security\Identity;
use Nette\Utils\Random;
use Pogodi\Api;

class ScudPresenter extends Presenter
{

    /**
     * @var Api @inject
     */
    public $api;

    /**
     * @param $key
     * @throws BadRequestException
     */
    public function actionIn($key)
    {
        $response = $this->api->call('scud', "SCUD_CheckAccess/$key");
        if ($response['status'] === "OK") {
            $identity = new Identity(Random::generate(32));
            $this->getUser()->login($identity);
            $this->redirect("Dashboard:default");
        }

        throw new BadRequestException;
    }

}