<?php

namespace App;

use Nette\Application\Routers\CliRouter;
use Nette\Application\Routers\RouteList;
use Nette\Application\Routers\SimpleRouter;
use Nette\Application\Routers\Route;


/**
 * Router factory.
 */
class RouterFactory
{

    /**
     * @return \Nette\Application\IRouter
     */
    public static function createRouter()
    {
        $router = new RouteList();
        if (php_sapi_name() === 'cli') {
            echo "CLI SCRIPT\n";
            $router[] = new CliRouter(array('action' => 'Exporter:cronXML'));
        } else {
            $router[] = new Route("scud/<key>", "Scud:in");
            $router[] = new SimpleRouter('Welcome:page');
        }
        return $router;
    }

}
