<?php

use Nette\Database\Connection;
use Nette\Database\Context;
use Nette\Database\Helpers;
use Nette\DI\Container;
use Pogodi\CategoryManager;
use Tester\Assert;

/** @var Container $container */
$container = require __DIR__ . "/../bootstrap.php";

/** @var Context $databaseContext */
$databaseContext = $container->getByType('Nette\Database\Context');

/** @var Connection $connection */
$connection = $container->getByType('Nette\Database\Connection');

/** @var \Pogodi\BrandManager $brandManager */
$brandManager = $container->getByType('Pogodi\BrandManager');

purge($databaseContext);
Helpers::loadFromFile($connection, __DIR__ . "/test_sql/brand.sql");

$id1 = $brandManager->insert("test01");
Assert::true($id1 > 0);

$id2 = $brandManager->insert("test02");
$id3 = $brandManager->insert("test03");
$id4 = $brandManager->insert("test04");

$all = $brandManager->getAll();
Assert::true(count($all) === 5);

$row = $brandManager->getById($id1);
Assert::same($id1, $row['id']);
Assert::equal("test01", $row['title']);

$brandManager->delete($id1);
$brandManager->delete($id2);
$all = $brandManager->getAll();
Assert::true(count($all) > 0);

$brandManager->update($id3, "newtest03");
$brand = $brandManager->getById($id3);
Assert::equal($id3, $brand['id']);
Assert::equal("newtest03", $brand['title']);