<?php

use Nette\Database\Connection;
use Nette\Database\Context;
use Nette\Database\Helpers;
use Nette\DI\Container;
use Pogodi\CategoryManager;
use Tester\Assert;

/** @var Container $container */
$container = require __DIR__ . "/../bootstrap.php";

/** @var Context $databaseContext */
$databaseContext = $container->getByType('Nette\Database\Context');

/** @var Connection $connection */
$connection = $container->getByType('Nette\Database\Connection');

/** @var CategoryManager $categoryManager */
$categoryManager = $container->getByType('Pogodi\CategoryManager');

purge($databaseContext);
Helpers::loadFromFile($connection, __DIR__ . "/test_sql/category.sql");

$id1 = $categoryManager->insert("test01");
Assert::true($id1 > 0);

$id2 = $categoryManager->insert("test02");
$id3 = $categoryManager->insert("test03");
$id4 = $categoryManager->insert("test04");

$all = $categoryManager->getAll();
Assert::true(count($all) === 5);

$row = $categoryManager->getById($id1);
Assert::same($id1, $row['id']);
Assert::equal("test01", $row['title']);

$categoryManager->delete($id1);
$categoryManager->delete($id2);
$all = $categoryManager->getAll();
Assert::true(count($all) > 0);

$categoryManager->update($id3, "newtest03");
$category = $categoryManager->getById($id3);
Assert::equal($id3, $category['id']);
Assert::equal("newtest03", $category['title']);