<?php

use Pogodi\Product\Parameters\Types\Enum;
use Pogodi\Product\Parameters\Types\Float;
use Pogodi\Product\Parameters\Types\Integer;
use Pogodi\Product\Parameters\Types\String;
use Pogodi\Product\Parameters\Types\Type;
use Pogodi\Product\Parameters\Types\TypeFactory;
use Tester\Assert;

$container = require __DIR__ . "/../../bootstrap.php";

$string = new String();
Assert::true($string->validate("test"));
Assert::false($string->validate(3.14));
Assert::false($string->validate(3));
Assert::false($string->validate(new stdClass()));
Assert::false($string->validate([]));

$int = new Integer();
Assert::true($int->validate(3));
Assert::false($int->validate("test"));
Assert::false($int->validate(3.14));
Assert::false($int->validate(new stdClass()));
Assert::false($int->validate([]));

$float = new Float();
Assert::true($float->validate(3.14));
Assert::false($float->validate(3));
Assert::false($float->validate("test"));
Assert::false($float->validate(new stdClass()));
Assert::false($float->validate([]));

$enum = new Enum(['a', 'b', 'c', 'd']);
Assert::false($enum->validate(3.14));
Assert::false($enum->validate(3));
Assert::false($enum->validate(new stdClass()));
Assert::false($enum->validate("e"));
Assert::true($enum->validate("a"));
Assert::true($enum->validate("b"));
Assert::true($enum->validate("c"));
Assert::true($enum->validate("d"));
Assert::false($enum->validate([]));

$factory = new TypeFactory();
Assert::true($factory->createType(Type::STRING) instanceof String);
Assert::true($factory->createType(Type::INTEGER) instanceof Integer);
Assert::true($factory->createType(Type::FLOAT) instanceof Float);
Assert::true($factory->createType(Type::ENUM) instanceof Enum);