-- Adminer 4.2.1 MySQL dump

SET NAMES utf8;
SET time_zone = '+00:00';
SET foreign_key_checks = 0;
SET sql_mode = 'NO_AUTO_VALUE_ON_ZERO';

SET NAMES utf8mb4;

DROP TABLE IF EXISTS `category`;
CREATE TABLE `category` (
  `id`    INT(11)                  NOT NULL AUTO_INCREMENT,
  `title` VARCHAR(255)
          COLLATE utf8mb4_czech_ci NOT NULL,
  PRIMARY KEY (`id`)
)
  ENGINE = InnoDB
  AUTO_INCREMENT = 2
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_czech_ci;

INSERT INTO `category` (`id`, `title`) VALUES
  (1, 'Nová kategorie'),
  (2, 'Druhá kategorie');

DROP TABLE IF EXISTS `brand`;
CREATE TABLE `brand` (
  `id`    INT(11)                  NOT NULL AUTO_INCREMENT,
  `title` VARCHAR(255)
          COLLATE utf8mb4_czech_ci NOT NULL,
  PRIMARY KEY (`id`)
)
  ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_czech_ci;

INSERT INTO `brand` (`id`, `title`) VALUES
  (1, 'Adidas');

DROP TABLE IF EXISTS `warehouse`;
CREATE TABLE `warehouse` (
  `id`       INT(11)                  NOT NULL AUTO_INCREMENT,
  `code`     VARCHAR(10)
             COLLATE utf8mb4_czech_ci NOT NULL,
  `title`    VARCHAR(255)
             COLLATE utf8mb4_czech_ci NOT NULL,
  `street`   VARCHAR(255)
             COLLATE utf8mb4_czech_ci NOT NULL,
  `city`     VARCHAR(255)
             COLLATE utf8mb4_czech_ci NOT NULL,
  `postcode` VARCHAR(10)
             COLLATE utf8mb4_czech_ci NOT NULL,
  `lat`      VARCHAR(255)
             COLLATE utf8mb4_czech_ci NOT NULL,
  `lon`      VARCHAR(255)
             COLLATE utf8mb4_czech_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `code` (`code`)
)
  ENGINE = InnoDB
  AUTO_INCREMENT = 3
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_czech_ci;

INSERT INTO `warehouse` (`id`, `code`, `title`, `street`, `city`, `postcode`, `lat`, `lon`) VALUES
  (1, 'WH01', 'Testovací warehouse', 'Veselice 12', 'Vavřinec', '679 13', '49.566564', '-12.564313'),
  (2, 'MEND02', 'TEST02', 'Brnenska 2', 'Brno', '68011', '9.87565678', '24.987655456');

DROP TABLE IF EXISTS `product`;
CREATE TABLE `product` (
  `id`       INT(11)                  NOT NULL AUTO_INCREMENT,
  `title`    VARCHAR(255)
             COLLATE utf8mb4_czech_ci NOT NULL,
  `sku`      VARCHAR(8)
             COLLATE utf8mb4_czech_ci NOT NULL,
  `price`    INT(11)                  NOT NULL,
  `active`   TINYINT(1)               NOT NULL,
  `category` INT(11)                  NOT NULL,
  `brand`    INT(11)                           DEFAULT NULL,
  `created`  DATETIME                 NOT NULL,
  `updated`  DATETIME                 NOT NULL,
  PRIMARY KEY (`id`),
  KEY `sku` (`sku`),
  KEY `category` (`category`),
  KEY `brand` (`brand`),
  CONSTRAINT `product_ibfk_1` FOREIGN KEY (`category`) REFERENCES `category` (`id`)
    ON DELETE CASCADE,
  CONSTRAINT `product_ibfk_2` FOREIGN KEY (`brand`) REFERENCES `brand` (`id`)
)
  ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_czech_ci;


DROP TABLE IF EXISTS `product_warehouse`;
CREATE TABLE `product_warehouse` (
  `id`           INT(11)  NOT NULL AUTO_INCREMENT,
  `product_id`   INT(11)  NOT NULL,
  `warehouse_id` INT(11)  NOT NULL,
  `total`        INT(11)  NOT NULL,
  `updated`      DATETIME NOT NULL,
  PRIMARY KEY (`id`),
  KEY `product_id` (`product_id`, `warehouse_id`),
  KEY `warehouse_id` (`warehouse_id`),
  CONSTRAINT `product_warehouse_ibfk_1` FOREIGN KEY (`product_id`) REFERENCES `product` (`id`)
    ON DELETE CASCADE
    ON UPDATE CASCADE,
  CONSTRAINT `product_warehouse_ibfk_2` FOREIGN KEY (`warehouse_id`) REFERENCES `warehouse` (`id`)
    ON DELETE CASCADE
    ON UPDATE CASCADE
)
  ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_czech_ci;


-- 2015-03-12 18:38:21