<?php

use Tester\Environment;
use Tester\Helpers;

define('LOCK_DIR', __DIR__ . "/../temp/");
define('TEMP_DIR', __DIR__ . '/../temp/tests_cache');

require __DIR__ . '/../vendor/autoload.php';


Environment::lock('database', LOCK_DIR);
Helpers::purge(TEMP_DIR);
Environment::setup();

if (!class_exists('Tester\Assert')) {
    echo "Install Nette Tester using `composer update --dev`\n";
    exit(1);
}

function purge(\Nette\Database\Context $context)
{
    /* For mysql */
    $tables = $context->query("SELECT TABLE_NAME AS t FROM `INFORMATION_SCHEMA`.`TABLES` WHERE TABLE_SCHEMA = 'test' ")->fetchAll();
    if ($tables) {
        $arr = [];
        foreach ($tables as $table) {
            $arr[] = $table['t'];
        }
        $context->query("SET foreign_key_checks = 0");
        $context->query("DROP TABLE " . implode(", ", $arr));
        $context->query("SET foreign_key_checks = 1");
    }
}


$configurator = new Nette\Configurator;
$configurator->setDebugMode(FALSE);
$configurator->setTempDirectory(TEMP_DIR);
$configurator->createRobotLoader()
    ->addDirectory(__DIR__ . '/../app')
    ->register();

$configurator->addConfig(__DIR__ . '/../app/config/config.neon');
$configurator->addConfig(__DIR__ . '/../app/config/config.test.neon');
return $configurator->createContainer();
