<?php

namespace OpencartAPI\Server\Model\Category;


use OpencartAPI\Server\Model\BaseManager;

class CategoryManager extends BaseManager
{

    /**
     * @var array
     */
    private $data;

    /**
     * @var array
     */
    private $categories;

    public function getAllCategories($language)
    {
        $res = $this->db->query("
            SELECT
              oc_category.category_id,
              oc_category.image,
              oc_category.parent_id,
              oc_category_description.name,
              oc_category_description.description,
              oc_category_description.meta_title,
              oc_category_description.meta_description,
              oc_category_description.meta_keyword
            FROM oc_category
              JOIN oc_category_description
                ON oc_category.category_id = oc_category_description.category_id
              JOIN oc_language
                ON oc_language.language_id = oc_category_description.language_id
            WHERE oc_language.code = ?
                  AND oc_category.status = 1
                  ORDER BY oc_category_description.name;
        ", $language)->fetchAll();

        $data = [];
        foreach ($res as $row) {
            $data[$row['category_id']] = (array)$row;
        }
        $this->data = $data;

        $this->categories = [
            '0' => ['childs' => []]
        ];
        foreach ($res as $row) {
            $this->insertItemToTree($row['category_id'], $row['parent_id'], $this->categories);
        }


        return $this->categories;

    }

    private function insertItemToTree($category_id, $parent_id, &$ref)
    {
        foreach ($ref as $key => $q) {
            if ($key == $parent_id) {
                $ref[$key]['childs'][$category_id] = $this->data[$category_id];
                $ref[$key]['childs'][$category_id]['childs'] = [];
                return TRUE;
            } else {
                if ($this->insertItemToTree($category_id, $parent_id, $ref[$key]['childs'])) {
                    return TRUE;
                }
            }
        }
        return FALSE;
    }

}
