<?php

namespace OpencartAPI\Server\Model;


use Nette\Object;

class ServiceList extends Object
{
    /** @var array */
    private $services;


    function __construct()
    {
        $this->services = [
            'Product' => [
                'getProductById' => [
                    'product_id' => 'integer',
                    'language' => 'string',
                ],
                'getProductImages' => [
                    'product_id' => 'integer',
                ],
                'getProductAttributes' => [
                    'product_id' => 'integer',
                    'language' => 'string',
                ],
                'getProductsInCategory' => [
                    'category_id' => 'integer',
                    'language' => 'string',
                ],
                'getProductsInFilter' => [
                    'filter_name' => 'string',
                    'language' => 'string',
                ],
            ],
            'Category' => [
                'getAllCategories' => [
                    'language' => 'string',
                ],
            ],
            'System' => [
                'info' => [],
            ],
            'Fake' => [
                'delay' => [
                    'seconds' => 'integer',
                ],
            ],
        ];
    }

    public function getServices()
    {
        return $this->services;
    }


}