<?php

namespace OpencartAPI\Server\Model;


use Tracy\Debugger;

class Tester
{

    /** @var  string */
    private $protocol;

    /** @var  string */
    private $host;

    /** @var  string */
    private $username;

    /** @var  string */
    private $password;

    /**
     * @param boolean $secured
     * @param string $host
     * @param string $username
     * @param string $password
     */
    public function __construct($secured, $host, $username, $password)
    {
        $this->protocol = ($secured) ? "https://" : "http://";
        $this->host = $host;
        $this->username = $username;
        $this->password = $password;
    }

    public function call($type, $service, $params = [])
    {
        $url = $this->protocol . $this->host . "/?presenter={$type}&action={$service}";
        if (count($params) > 0) {
            foreach ($params as $name => $value) {
                $url .= "&{$name}={$value}";
            }
        }

        Debugger::timer();
        $data = $this->sendGet($url);
        $time = Debugger::timer();

        return [
            'data' => $data,
            'url' => $url,
            'time' => $time,
        ];
    }

    public function sendGet($url)
    {
        $curl = curl_init();
        curl_setopt_array($curl, array(
            CURLOPT_RETURNTRANSFER => 1,
            CURLOPT_URL => $url,
            CURLOPT_USERAGENT => 'API HTTP request',
            CURLOPT_USERPWD => $this->username . ":" . $this->password,
        ));

        $resp = curl_exec($curl);
        curl_close($curl);

        return $resp;
    }

}