<?php

namespace OpencartAPI\Server\Presenters;

use Nette;
use OpencartAPI\Server\Model\Order\OrderManager;
use OpencartAPI\Server\Model\ServiceList;
use OpencartAPI\Server\Model\Tester;


class HomepagePresenter extends Nette\Application\UI\Presenter
{

    /** @var  ServiceList @inject */
    public $list;

    /** @var  Tester @inject */
    public $tester;

    /** @var  OrderManager @inject */
    public $test;

    public function renderDefault($service_type = "", $service = "")
    {
        $services = $this->list->getServices();
        $this->template->services = $services;

        $this->template->service_type = $service_type;
        $this->template->selected_service = $service;
    }

    public function createComponentApiForm()
    {
        $form = new Nette\Application\UI\Form();
        $form->onSubmit[] = $this->apiSubmitted;
        return $form;
    }

    public function apiSubmitted(Nette\Application\UI\Form $form)
    {
        $services = $this->list->getServices();
        $data = $form->getHttpData();
        $ok = TRUE;
        $params = [];
        if ($data['service_type'] && $data['service']) {
            if (is_array($services[$data['service_type']][$data['service']])) {

                foreach ($services[$data['service_type']][$data['service']] as $param => $type) {
                    if ($data[$param]) {
                        $params[$param] = $data[$param];
                    } else {
                        $ok = FALSE;
                        $this->flashMessage("All parameters must be filled");
                    }
                }

            }
        }

        if ($ok) {
            $this->template->result = $this->tester->call($data['service_type'], $data['service'], $params);
            $this->template->formData = $data;
        }

    }

}
