<?php

namespace OpencartAPI\Server\Presenters;


use OpencartAPI\Server\Model\JsonResponse;
use OpencartAPI\Server\Model\Product\ProductManager;

class ProductPresenter extends BasePresenter
{

    /** @var  ProductManager @inject */
    public $productManager;

    public function actionGetProductById($language, $product_id)
    {
        $data = $this->productManager->getProductById($language, $product_id);

        if (!$data) {
            $response = new JsonResponse();
            $response->setError("Product not found");
            $this->sendResponse($response);
        }

        $response = new JsonResponse($data);
        $this->sendResponse($response);
    }

    public function actionGetProductAttributes($language, $product_id)
    {
        $data = $this->productManager->getProductAttributes($language, $product_id);

        $response = new JsonResponse($data);
        $this->sendResponse($response);
    }

    public function actionGetProductImages($product_id)
    {
        $data = $this->productManager->getProductImages($product_id);

        $response = new JsonResponse($data);
        $this->sendResponse($response);
    }

    public function actionGetProductsInCategory($language, $category_id)
    {
        $data = $this->productManager->getProductsInCategory($language, $category_id);

        $response = new JsonResponse($data);
        $this->sendResponse($response);
    }

    public function actionGetProductsInFilter($language, $filter_name)
    {
        $data = $this->productManager->getProductsInFilter($language, $filter_name);

        $response = new JsonResponse($data);
        $this->sendResponse($response);
    }


}