<?php

namespace Pogodi\Scud;


use Nette\Database\Context;
use Nette\Object;
use Nette\Utils\Random;
use Pogodi\Scud\Entity\Apikey;

class ApikeyRepository extends Object
{

    const TABLE = 'apikeys';

    /** @var Context */
    private $database;


    /**
     * @param Context $database
     */
    public function __construct(Context $database)
    {
        $this->database = $database;
    }

    /**
     * @param $application
     * @return Apikey
     */
    public function generateKey($application)
    {
        $datetime = new \DateTime();
        $datetime->modify('+1 day');
        $apikey = [
            'application' => $application,
            'key' => Random::generate(50),
            'expiration' => $datetime,
        ];

        $row = $this->database->table(self::TABLE)->insert($apikey);
        $entity = new Apikey();
        $entity->setId($row['id']);
        $entity->setApplication($row['application']);
        $entity->setKey($row['key']);
        $entity->setExpiration($row['expiration']);
        return $entity;
    }


    /**
     * @param $application
     * @param $key
     * @return false|Apikey
     */
    public function getKey($application, $key)
    {
        $row = $this->database->query("SELECT * FROM " . self::TABLE . " WHERE application = ? AND `key` = ? AND expiration >= NOW()", $application, $key)->fetch();
        if ($row) {
            $entity = new Apikey();
            $entity->setId($row['id']);
            $entity->setApplication($row['application']);
            $entity->setKey($row['key']);
            $entity->setExpiration($row['expiration']);
            return $entity;
        }
        return FALSE;
    }

}