<?php

namespace Pogodi\Scud\Entity;


use Nette\Object;
use Nette\Utils\DateTime;
use Nette\Utils\Random;

class AccessToken extends Object
{

    const KEY_LENGHT = 128;

    /**
     * @var string
     */
    private $key;

    /**
     * @var DateTime
     */
    private $expiration;

    /**
     * @var boolean
     */
    private $active;


    /**
     * @param string|null $key
     * @param DateTime|null $date
     * @param boolean|null $active
     */
    public function __construct($key = NULL, DateTime $date = NULL, $active = NULL)
    {
        if (NULL === $key) {
            $this->key = Random::generate(self::KEY_LENGHT);
        } else {
            $this->key = $key;
        }
        if (NULL === $date) {
            $date = new DateTime();
            $date->modify('+5 minutes');
            $this->expiration = $date;
        } else {
            $this->expiration = $date;
        }
        if (NULL === $active) {
            $this->active = TRUE;
        } else {
            $this->active = $active;
        }
    }

    /**
     * @return string
     */
    public function getKey()
    {
        return $this->key;
    }

    /**
     * @return DateTime
     */
    public function getExpiration()
    {
        return $this->expiration;
    }

    public function isOk()
    {
        $now = new DateTime();
        if ($this->active && intval($this->getExpiration()->format("U")) > intval($now->format("U"))) {
            return TRUE;
        }
        return FALSE;
    }
}