<?php

namespace Pogodi\Scud\Presenters;


use Nette\Application\Responses\JsonResponse;
use Pogodi\Scud\ApikeyRepository;
use Pogodi\Scud\ApplicationManager;
use Pogodi\Scud\Entity\Application;

class ApikeysPresenter extends BasePresenter
{

    /**
     * @var ApikeyRepository @inject
     */
    public $apikeyRepository;

    /**
     * @var ApplicationManager @inject
     */
    public $applicationManager;

    public function actionGetAccessKey($application)
    {
        $key = $this->apikeyRepository->generateKey($application);
        $return = [
            'status' => TRUE,
            'key' => $key->getKey(),
            'expiration' => $key->getExpiration()->format('Y-m-d H:i:s'),
        ];

        $this->sendResponse(new JsonResponse($return));
    }

    public function actionCheckAccessKey($application, $key)
    {
        $return = ['status' => FALSE];
        $key = $this->apikeyRepository->getKey($application, $key);
        if ($key) {
            $return = [
                'status' => TRUE,
                'expiration' => $key->getExpiration()->format('Y-m-d H:i:s'),
            ];
        }
        $this->sendResponse(new JsonResponse($return));
    }

    public function actionGetAllApplications()
    {
        $response = [];
        $apps = $this->applicationManager->getAllApplications();
        foreach ($apps as $app) {
            /** @var Application $app */
            $response[] = [
                'name' => $app->getName(),
                'url' => $app->getScudURL(),
            ];
        }
        $this->sendResponse(new JsonResponse($response));
    }

}