<?php

namespace Pogodi\Scud\Presenters;

use Nette;
use Nette\Application\UI\Form;
use Nette\Utils\ArrayHash;


/**
 * Sign in/out presenters.
 */
class SignPresenter extends BasePresenter
{

    /**
     * Sign-in form factory.
     * @return Nette\Application\UI\Form
     */
    protected function createComponentSignInForm()
    {
        $form = new Form;
        $form->addText('email', 'Email address:')
            ->setRequired('Please enter your username.');

        $form->addPassword('password', 'Password:')
            ->setRequired('Please enter your password.');

        $form->addSubmit('send', 'Sign in');

        $form->onSuccess[] = array($this, 'signInFormSucceeded');
        return $form;
    }

    /**
     * @param Form $form
     */
    public function signInFormSucceeded(Form $form)
    {
        $values = $form->getValues();
        try {
            $this->getUser()->login($values->email, $values->password);
            $this->redirect("Transition:default");
        } catch (Nette\Security\AuthenticationException $e) {
            $form->addError('Wrong credentials.');
        }
    }


    public function actionOut()
    {
        $this->getUser()->logout();
        $this->flashMessage('You have been signed out.');
        $this->redirect('in');
    }

}
