<?php

namespace Pogodi\Scud\Presenters;


use Nette\Application\BadRequestException;
use Pogodi\Scud\AccessTokenManager;
use Pogodi\Scud\ApplicationManager;

class TransitionPresenter extends BasePresenter
{

    const SCUD_SCRIPT = '/scud/';

    /**
     * @var ApplicationManager @inject
     */
    public $applicationManager;

    /**
     * @var AccessTokenManager @inject
     */
    public $accessTokenManager;


    public function renderDefault()
    {
        $user_id = $this->getUser()->getId();
        $this->template->apps = $this->applicationManager->getAllowedApplications($user_id);
    }

    public function actionGo($application_id)
    {
        $user_id = $this->getUser()->getId();
        if ($this->applicationManager->isAllow($user_id, $application_id)) {
            $token = $this->accessTokenManager->generate($user_id);
            $application = $this->applicationManager->getApplicationById($application_id);
            $this->redirectUrl($application->getScudURL() . $token->getKey());
        }

        throw new BadRequestException;
    }

    protected function startup()
    {
        parent::startup();
        if (!$this->getUser()->isLoggedIn()) {
            $this->redirect('Sign:in');
        }
    }


}