<?php

namespace App;

use Nette\Application\Routers\RouteList;
use Nette\Application\Routers\SimpleRouter;
use Nette\Application\Routers\Route;


/**
 * Router factory.
 */
class RouterFactory
{

    /**
     * @return \Nette\Application\IRouter
     */
    public static function createRouter()
    {
        $router = new RouteList();

        // API
        $router[] = new Route("SCUD_CheckAccess/<key>", "Check:check");
        $router[] = new Route("APIKEY_GetAccessKey/<application>", "Apikeys:getAccessKey");
        $router[] = new Route("APIKEY_CheckAccessKey/<application>/<key>", "Apikeys:checkAccessKey");
        $router[] = new Route("APPLICATIONS_GetAll", "Apikeys:getAllApplications");

        // pages
        $router[] = new SimpleRouter('Sign:in');

        return $router;
    }

}
