<?php

use Nette\Database\Connection;
use Nette\Database\Context;
use Nette\Database\Helpers;
use Nette\DI\Container;
use Pogodi\Scud\ApikeyRepository;
use Pogodi\Scud\Entity\Apikey;
use Tester\Assert;
use Tester\Environment;

/** @var Container $container */
$container = require __DIR__ . "/../bootstrap.php";
Environment::lock('database', LOCK_DIR);

/** @var ApikeyRepository $repository */
$repository = $container->getByType('Pogodi\Scud\ApikeyRepository');

/** @var Context $databaseContext */
$databaseContext = $container->getByType('Nette\Database\Context');

/** @var Connection $connection */
$connection = $container->getByType('Nette\Database\Connection');


Helpers::loadFromFile($connection, __DIR__ . "/test_sql/apikeys.sql");

$app = 'testapp';
/** @var Apikey $entity */
$entity = $repository->generateKey($app);
Assert::equal($app, $entity->getApplication());
Assert::true(50 === strlen($entity->getKey()));
Assert::true($entity->getExpiration() instanceof \DateTime);
Assert::true($entity->getId() >= 1);

var_dump($connection->query("SELECT * FROM apikeys")->fetchAll());
var_dump($entity->getApplication());
var_dump($entity->getKey());

$key = $repository->getKey($entity->getApplication(), $entity->getKey());
Assert::true($key instanceof Apikey);

$nokey = $repository->getKey($app, "badapikey");
Assert::false($nokey);