<?php

use Nette\DI\Container;
use Nette\Utils\DateTime;
use Pogodi\Scud\Entity\AccessToken;
use Tester\Assert;

/** @var Container $container */
$container = require __DIR__ . "/../../bootstrap.php";

$now = new DateTime();
$key = "asdioahduiashdiasasgfasifasgufa";
$at = new AccessToken($key, $now);
Assert::same($now->format('U'), $at->getExpiration()->format('U'));
Assert::same($key, $at->getKey());

$at2 = new AccessToken();
Assert::true(strlen($at2->getKey()) == AccessToken::KEY_LENGHT);
Assert::true($at2->getExpiration() instanceof DateTime);

$at3 = new AccessToken($key, NULL, TRUE);
Assert::equal(TRUE, $at3->isOk());

$at3 = new AccessToken($key, NULL, FALSE);
Assert::equal(FALSE, $at3->isOk());

$past = new DateTime('1970-01-01 10:00:00');
$at4 = new AccessToken($key, $past, TRUE);
Assert::equal(FALSE, $at4->isOk());