<?php

namespace Pogodi\Site\Basket;


use Nette\Object;

class Basket extends Object implements \Serializable
{
    /** @var string */
    private $name;

    /** @var string */
    private $surname;

    /** @var string */
    private $street;

    /** @var string */
    private $city;

    /** @var string */
    private $postcode;

    /** @var string */
    private $email;

    /** @var string */
    private $phone;

    /** @var string */
    private $note;

    /** @var array */
    private $items = array();

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * @return string
     */
    public function getSurname()
    {
        return $this->surname;
    }

    /**
     * @param string $surname
     */
    public function setSurname($surname)
    {
        $this->surname = $surname;
    }

    /**
     * @return string
     */
    public function getStreet()
    {
        return $this->street;
    }

    /**
     * @param string $street
     */
    public function setStreet($street)
    {
        $this->street = $street;
    }

    /**
     * @return string
     */
    public function getCity()
    {
        return $this->city;
    }

    /**
     * @param string $city
     */
    public function setCity($city)
    {
        $this->city = $city;
    }

    /**
     * @return string
     */
    public function getPostcode()
    {
        return $this->postcode;
    }

    /**
     * @param string $postcode
     */
    public function setPostcode($postcode)
    {
        $this->postcode = $postcode;
    }

    /**
     * @return string
     */
    public function getEmail()
    {
        return $this->email;
    }

    /**
     * @param string $email
     */
    public function setEmail($email)
    {
        $this->email = $email;
    }

    /**
     * @return string
     */
    public function getPhone()
    {
        return $this->phone;
    }

    /**
     * @param string $phone
     */
    public function setPhone($phone)
    {
        $this->phone = $phone;
    }

    /**
     * @return string
     */
    public function getNote()
    {
        return $this->note;
    }

    /**
     * @param string $note
     */
    public function setNote($note)
    {
        $this->note = $note;
    }

    /**
     * @return array
     */
    public function getItems()
    {
        return $this->items;
    }


    public function addItem($itemId, $quantity)
    {
        $found = false;
        foreach ($this->items as $item) {
            /** @var $item BasketItem */
            if ($item->getItemId() == $itemId) {
                $item->setQuantity($item->getQuantity() + $quantity);
                $found = true;
            }
        }

        if (!$found) {
            $item = new BasketItem($itemId, $quantity);
            $this->items[] = $item;
        }
    }

    public function removeItem($itemId)
    {
        foreach ($this->items as $key => $item) {
            /** @var $item BasketItem */
            if ($item->getItemId() == $itemId) {
                unset($this->items[$key]);
            }
        }
    }

    /**
     * (PHP 5 &gt;= 5.1.0)<br/>
     * String representation of object
     * @link http://php.net/manual/en/serializable.serialize.php
     * @return string the string representation of the object or null
     */
    public function serialize()
    {
        return serialize(array(
            'name' => $this->name,
            'surname' => $this->surname,
            'street' => $this->street,
            'city' => $this->city,
            'postcode' => $this->postcode,
            'email' => $this->email,
            'phone' => $this->phone,
            'note' => $this->note,
            'items' => $this->items,
        ));
    }

    /**
     * (PHP 5 &gt;= 5.1.0)<br/>
     * Constructs the object
     * @link http://php.net/manual/en/serializable.unserialize.php
     * @param string $serialized <p>
     * The string representation of the object.
     * </p>
     * @return void
     */
    public function unserialize($serialized)
    {
        $data = unserialize($serialized);
        $this->name = $data['name'];
        $this->surname = $data['surname'];
        $this->street = $data['street'];
        $this->city = $data['city'];
        $this->postcode = $data['postcode'];
        $this->email = $data['email'];
        $this->phone = $data['phone'];
        $this->note = $data['note'];
        $this->items = $data['items'];
    }
}