<?php

namespace Pogodi\Site\Basket;


use Nette\Object;

class BasketItem extends Object implements \Serializable
{


    /**
     * @var integer
     */
    private $itemId;

    /**
     * @var integer
     */
    private $quantity;

    /**
     * BasketItem constructor.
     * @param int $itemId
     * @param int $quantity
     */
    public function __construct($itemId = null, $quantity = null)
    {
        $this->itemId = $itemId;
        $this->quantity = $quantity;
    }

    /**
     * @return int
     */
    public function getItemId()
    {
        return $this->itemId;
    }

    /**
     * @param int $itemId
     */
    public function setItemId($itemId)
    {
        $this->itemId = $itemId;
    }

    /**
     * @return int
     */
    public function getQuantity()
    {
        return $this->quantity;
    }

    /**
     * @param int $quantity
     */
    public function setQuantity($quantity)
    {
        $this->quantity = $quantity;
    }


    /**
     * (PHP 5 &gt;= 5.1.0)<br/>
     * String representation of object
     * @link http://php.net/manual/en/serializable.serialize.php
     * @return string the string representation of the object or null
     */
    public function serialize()
    {
        return serialize(array(
            'itemId' => $this->itemId,
            'quantity' => $this->quantity,
        ));
    }

    /**
     * (PHP 5 &gt;= 5.1.0)<br/>
     * Constructs the object
     * @link http://php.net/manual/en/serializable.unserialize.php
     * @param string $serialized <p>
     * The string representation of the object.
     * </p>
     * @return void
     */
    public function unserialize($serialized)
    {
        $data = unserialize($serialized);
        $this->itemId = $data['itemId'];
        $this->quantity = $data['quantity'];
    }

}