<?php

namespace Pogodi\Site\OpenCart\Service;


use Nette\Caching\Cache;
use Pogodi\Site\OpenCart\Api\Caller;

class Category extends Base
{

    public function getCategories($language)
    {
        $key = 'getCategories_' . $language;

        $response = $this->cache->load($key);
        if ($response === NULL) {
            $response = $this->caller->call(Caller::GET, 'Category', 'getAllCategories', array('language' => $language));
            $this->cache->save($key, $response, array(
                Cache::EXPIRE => $this->environment->getCacheTime(),
                Cache::SLIDING => TRUE
            ));
        }

        return $response;
    }

}