<?php

namespace Pogodi\Site\OpenCart\Service;


use Nette\Application\AbortException;
use Nette\Http\Request;
use Nette\Utils\Json;
use Pogodi\Site\Basket\Basket;
use Nette\Caching\IStorage;
use Pogodi\Environment;
use Pogodi\Site\Basket\BasketItem;
use Pogodi\Site\OpenCart\Api\Caller;

class Order extends Base
{

    /**
     * @var Request
     */
    private $request;

    /**
     * @param Environment $environment
     * @param Caller $caller
     * @param IStorage $storage
     * @param Request $request
     */
    public function __construct(Environment $environment, Caller $caller, IStorage $storage, Request $request)
    {
        parent::__construct($environment, $caller, $storage);
        $this->request = $request;
    }

    /**
     * @param string $language
     * @param Basket $basket
     * @throws AbortException
     */
    public function createOrder($language, Basket $basket)
    {
        $customer = array(
            'firstname' => $basket->getName(),
            'lastname' => $basket->getSurname(),
            'telephone' => $basket->getPhone(),
            'email' => $basket->getEmail(),
            'address' => $basket->getStreet(),
            'city' => $basket->getCity(),
            'postcode' => $basket->getPostcode(),
            'comment' => $basket->getNote(),
            'ip' => $this->request->getRemoteAddress(),
            'user_agent' => $this->request->getHeader('User-Agent'),
            'accept_language' => ''
        );

        $products = array();
        foreach ($basket->getItems() as $item) {
            /** @var $item BasketItem */
            $products[$item->getItemId()] = array(
                'id' => $item->getItemId(),
                'quantity' => $item->getQuantity(),
            );
        }

        $order = array(
            'language' => $language,
            'products' => $products,
            'customer' => $customer,
        );

        //$response = $this->caller->call(Caller::GET, 'Fake', 'delay', array('seconds' => 2));
        sleep(2);
        /*
        if ($response['status'] != "ok") {
            throw new AbortException;
        }
        */
    }

}