<?php

namespace Pogodi\Site\OpenCart\Service;


use Nette\Caching\Cache;
use Pogodi\Site\OpenCart\Api\Caller;

class Product extends Base
{

    public function getProductById($language, $product_id)
    {
        $key = 'product_id_' . $language . '_' . $product_id;
        $response = $this->cache->load($key);
        if ($response === NULL) {
            $response = $this->caller->call(Caller::GET, 'Product', 'getProductById', array(
                'language' => $language,
                'product_id' => $product_id,
            ));
            $this->cache->save($key, $response, array(
                Cache::EXPIRE => $this->environment->getCacheTime(),
                Cache::SLIDING => TRUE
            ));
        }

        return $response;
    }

    public function getHomepageProducts($language)
    {
        $key = 'homepage_list_' . $language . '_';
        $response = $this->cache->load($key);
        if ($response === NULL) {
            $response = $this->caller->call(Caller::GET, 'Product', 'getProductsInFilter', array(
                'language' => $language,
                'filter_name' => 'Homepage',
            ));
            $this->cache->save($key, $response, array(
                Cache::EXPIRE => $this->environment->getCacheTime(),
                Cache::SLIDING => TRUE
            ));
        }
        return $response;
    }

    public function getProductsInCategory($language, $category_id)
    {
        $key = 'product_in_category_' . $language . '_' . $category_id;
        $response = $this->cache->load($key);
        if ($response === NULL) {
            $response = $this->caller->call(Caller::GET, 'Product', 'getProductsInCategory', array(
                'language' => $language,
                'category_id' => $category_id,
            ));
            $this->cache->save($key, $response, array(
                Cache::EXPIRE => $this->environment->getCacheTime(),
                Cache::SLIDING => TRUE
            ));
        }
        return $response;
    }

}