<?php

namespace Pogodi\Site\Presenters;

use Nette\Application\UI\Form;
use Nette\Application\UI\Presenter;
use Pogodi\Site\Basket\BasketService;
use Pogodi\Site\OpenCart\Service\Category;
use Pogodi\Site\OpenCart\Service\Fake;
use Pogodi\Site\OpenCart\Service\Product;
use Pogodi\Site\OpenCart\Service\System;

class BasePresenter extends Presenter
{

    const BASE_LANG = 'en';

    /** @var Category @inject */
    public $categoryService;

    /** @var Product @inject */
    public $productService;

    /** @var System @inject */
    public $systemService;

    /** @var  Fake @inject */
    public $fakeService;

    /** @var BasketService @inject */
    public $basketService;


    /**
     * Common render method.
     * @return void
     */
    protected function beforeRender()
    {
        $categories = $this->categoryService->getCategories(self::BASE_LANG);
        $this->template->menuItems = $categories[0];
        $this->template->basketProducts = $this->basketService->getProducts(self::BASE_LANG);
        $this->template->cdnUrl = $this->systemService->getCdnUrl();
    }

    public function createComponentEmailForm()
    {
        $form = new Form();
        $form->addText('email');
        $form->addSubmit('ok');
        $form->onSuccess[] = $this->emailFormSubmitted;
        return $form;
    }

    public function emailFormSubmitted(Form $form)
    {
        $values = $form->getValues();
        $this->fakeService->delay(2);
        $this->redirect('this');
    }

}