<?php

namespace Pogodi\Site\Presenters;


use Nette\Application\BadRequestException;
use Nette\Utils\Paginator;

class CategoryPresenter extends BasePresenter
{

    const ITEMS_PER_PAGE = 36;

    public function renderDetail($id, $page = 1)
    {
        $allProducts = $this->productService->getProductsInCategory(self::BASE_LANG, $id);


        $paginator = new Paginator();
        $paginator->setItemsPerPage(self::ITEMS_PER_PAGE);
        $paginator->setItemCount(count($allProducts));
        $paginator->setPage((int)$page);

        $products = array_slice($allProducts, self::ITEMS_PER_PAGE * $paginator->getPage() - 1, $paginator->getItemsPerPage());

        if (!$products && 0 === count($allProducts)) {
            throw new BadRequestException;
        }

        $this->template->paginator = $paginator;
        $this->template->products = $products;
    }

}