<?php

namespace Pogodi\Site\Presenters;


use Nette\Application\UI\Form;

class ProductPresenter extends BasePresenter
{

    /** @var array */
    private $wishList;

    /**
     * @return void
     */
    protected function startup()
    {
        parent::startup();
        $this->wishList = $this->getSession()->getSection('wishList');
        if (NULL === $this->wishList->data) {
            $this->wishList->data = array();
        }
    }


    public function renderDetail($product_id)
    {
        $product = $this->productService->getProductById(self::BASE_LANG, $product_id);
        $this['addToBasket']->setDefaults(array(
            'itemId' => $product_id,
        ));
        $this->template->product = $product;
        $this->template->isWishList = in_array((int)$product_id, $this->wishList->data);
    }

    public function createComponentAddToBasket()
    {
        $form = new Form();
        $form->addHidden('itemId');
        $form->addSubmit('ok', 'Vložit do košíku');
        $form->onSuccess[] = array($this, 'addToBasketSubmitted');
        return $form;
    }

    public function addToBasketSubmitted(Form $form)
    {
        $values = $form->getValues();
        $this->basketService->getBasket()->addItem($values->itemId, 1);
        $this->flashMessage('Zboží bylo přídáno do košíku.');
        $this->redirect('this');
    }

    public function handleWishRemove($product_id)
    {
        if (($key = array_search((int)$product_id, $this->wishList->data)) !== false) {
            unset($this->wishList->data[$key]);
        }
        $this->redrawControl();
    }

    public function handleWishAdd($product_id)
    {
        if (($key = array_search((int)$product_id, $this->wishList->data)) === false) {
            array_push($this->wishList->data, (int)$product_id);
        }
        $this->redrawControl();
    }

}