<?php

function getId($data, $title)
{
    foreach ($data as $item) {
        if ($item['title'] === trim($title)) {
            return (int)$item['id'];
        }
    }

    throw new RuntimeException('Fail');
}

$dbh = new PDO("mysql:host=localhost;dbname=pogodi_brain;charset=utf8", 'root', '');
$dbh->exec("set names utf8");

$dbh->query("DELETE FROM product_warehouse");
$dbh->query("DELETE FROM product");
$dbh->query("DELETE FROM brand");
$dbh->query("DELETE FROM category");


$products = json_decode(file_get_contents(__DIR__ . "/data/export.json"), TRUE);


$import_brands = [];
$import_categories = [];
foreach ($products as $product) {
    $import_brands[] = !empty($product['BRAND']['0']) ? $product['BRAND']['0'] : '';
    $import_categories[] = !empty($product['CATEGORY']['0']) ? $product['CATEGORY']['0'] : '';
}

$import_brands = array_values(array_unique($import_brands));
$import_categories = array_values(array_unique($import_categories));

$brands = [];
foreach ($import_brands as $brand) {
    $b = $dbh->quote(trim($brand));
    $query = "INSERT INTO brand (title) VALUES ($b)";
    $dbh->query($query);
    $id = $dbh->lastInsertId();
    $brands[] = [
        'id' => $id,
        'title' => trim($brand),
    ];
}

$categories = [];
foreach ($import_categories as $category) {
    $b = $dbh->quote(trim($category));
    $query = "INSERT INTO category (title) VALUES ($b)";
    $dbh->query($query);
    $id = $dbh->lastInsertId();
    $categories[] = [
        'id' => $id,
        'title' => trim($category),
    ];
}


foreach ($products as $product) {
    $title = $dbh->quote($product['PRODUCTNAME']['0']);
    $sku = $dbh->quote(2000000 + (int)$product['i']);
    $price = $dbh->quote($product['PRICE']['0']);
    $active = '1';
    $category = getId($categories, !empty($product['CATEGORY']['0']) ? $product['CATEGORY']['0'] : '');
    $brand = getId($brands, !empty($product['BRAND']['0']) ? $product['BRAND']['0'] : '');
    $now = date('Y-m-d H:i:s');
    $created = $dbh->quote($now);
    $updated = $dbh->quote($now);

    $query = "INSERT INTO product (title, sku, price, active, category, brand, created, updated)
              VALUES ({$title}, {$sku}, {$price}, '1', {$category}, {$brand}, {$created}, {$updated})";

    $dbh->query($query);
    $id = $dbh->lastInsertId();


    $total = rand(0, 10);
    $query = "INSERT INTO product_warehouse (product_id, warehouse_id, total, updated) VALUES
              ($id, 1, {$total}, {$updated})";
    $dbh->query($query);

    $total = rand(0, 10);
    $query = "INSERT INTO product_warehouse (product_id, warehouse_id, total, updated) VALUES
              ($id, 2, {$total}, {$updated})";
    $dbh->query($query);
}

